# DOMElement::removeAttributeNode

(PHP 5, PHP 7)

DOMElement::removeAttributeNode — Removes attribute

### Description

public DOMElement::removeAttributeNode ( DOMAttr `$oldnode` ) : bool

Removes attribute `oldnode` from the element.

### Parameters

`oldnode`

  The attribute node.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Errors/Exceptions

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Raised if the node is readonly.

`DOM_NOT_FOUND_ERROR`

  Raised if `oldnode` is not an attribute of the element.

### See Also

- DOMElement::hasAttribute() - Checks to see if attribute exists
- DOMElement::getAttributeNode() - Returns attribute node
- DOMElement::setAttributeNode() - Adds new attribute node to element